/* Non Template content */
@font-face 
{
    font-family: 'open_sans';
    src: url("fonts/OpenSans-Regular.ttf");
}
*
{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
    font-family: 'open_sans', sans-serif;
}
::-webkit-scrollbar 
{
    width: 12px;
}
 
::-webkit-scrollbar-track 
{
    background-color: #ddd;
}
 
::-webkit-scrollbar-thumb 
{
    border: solid 3px #ddd;
    background-color: #369daf;
}

.banniere 
{
    background: url("../resources/images/mn_bg3.jpg") fixed no-repeat center;
    background-size: cover;
    padding-top: 160px;
    text-align: center;
    height: 100vh;
}
.banniere h1 
{
    font-size: 4em;
    letter-spacing: 6px;
    color: rgba(255, 255, 255, 0.979);
    text-shadow: 4px 4px 4px rgba(0,0,0,0.5);
    margin-bottom: 20px;
}
.banniere h1 span 
{
    border: solid 2px rgba(255,255,255,0.7);
    border-radius: 5px;
    padding: 0 10px;
    background-color: rgba(255,255,255,0.2);
    box-shadow: 4px 4px 4px rgba(0,0,0,0.2);
}
.banniere h3 
{
    font-size: 1.8em;
    letter-spacing: 6px;
    color: #fff9f8f1;
    text-shadow: 2px 2px 2px rgba(0,0,0,0.5);
}
.banniere h3 span 
{
    border: solid 1px rgba(255,255,255,0.7);
    border-radius: 3px;
    padding: 0 2px 4px 6px;
    margin-right: 2px;
    background-color: rgba(255,255,255,0.2);
    box-shadow: 4px 4px 4px rgba(0,0,0,0.2);
}

.contact_rs
{
    margin-top: 60px;
    display: flex;
    justify-content:center;
}
.contact_rs a 
{
    border: solid 2px rgba(250,250,250,0.8);
    height: 60px;
    width: 60px;
    color: rgba(252, 252, 252, 0.973);
    background-color: rgba(255,255,255,0.1);
    border-radius: 6px;
    margin-right: 16px;
    padding-top: 12px;
    text-shadow: 2px 2px 2px rgba(0,0,0,0.5);
    box-shadow: 2px 2px 2px rgba(0,0,0,0.5);

    transition: 0.3s;
    -webkit-transition: 0.3s;
    -moz-transition: 0.3s;
    -o-transition: 0.3s;
    -ms-transition: 0.3s;
}
.contact_rs i 
{
    font-size: 2em;
}
.contact_rs a:hover 
{
    border-radius: 50%;
    transform: scale(1.2);
}
.contact_rs .rs_fb:hover 
{
    color: white;
    background-color: rgb(61,78,154);
}
.contact_rs .rs_twt:hover 
{
    color: white;
    background-color: rgb(29,161,243);
}
.contact_rs .rs_insta:hover 
{
    color: white;
    background: linear-gradient(to right, rgb(255,265,71),rgb(232,32,73),rgb(167,44,174));
}
.contact_rs .rs_git:hover 
{
    color: white;
    background-color: rgb(0,106,186);
}

.a_propos 
{
    background-color: rgb(245, 233, 252);
    background: url("../resources/images/mn_pattern1.jpg") repeat center;
    background-size: contain;
    padding: 2% 3%;
}
.a_propos h2 
{
    position: relative;
    text-align: center;
    font-size: 2em;
    letter-spacing: 1px;
    color: rgba(37, 59, 70, 0.801);
    text-shadow: 4px 4px 2px rgba(0,0,0,0.1);
    margin-bottom: 30px;
}
.a_propos h2:before 
{
    content: ' ';
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 20%;
    border-bottom: solid 5px #369daf;
    left: 50%;
    margin-left: -10%;
}
.a_propos .content 
{
    display: flex;
    justify-content: center;
    align-items: center;
}
.bloc_img 
{
    height: 460px;
    width: 400px;
    background: url("../resources/images/mn_imgpropos.png") no-repeat center;
    background-size: contain;
    position: relative;
    top: -30px;
}
.bloc_text
{
    width: 50vw;
    height: fit-content;
    padding: 20px 30px;
    color: rgba(40, 62, 73, 0.801);
    background-color: rgba(221, 232, 238, 0.4);
    border: solid 1px rgba(221, 232, 238, 0.705);
    border-radius: 6px;
    box-shadow: 7px 7px 5px rgba(0,0,0,0.15);
}
.bloc_text div 
{
    margin-bottom: 20px;
    padding: 10px;
    line-height: 1.6em;
    letter-spacing: 1px;
}
.bloc_img, .bloc_text 
{
    margin: 20px;
}
footer 
{
    text-align: center;
    background-color:rgb(24, 28, 31);
    color: #ddd;
    padding: 20px 0 0 0;
}

/* Media Queries - Non Template content */

@media(max-width: 1060px) 
{
    .bloc_text div 
    {
        margin-bottom: 5px;
        padding: 5px;
    }
    .bloc_img, .bloc_text 
    {
        margin: 10px;
    }
}
@media(max-width: 900px)
{
    .banniere h1 
    {
        font-size: 3.5em;
        letter-spacing: 4px;
    }
    .banniere h1 span 
    {
        padding: 0 10px;
    }
    .banniere h3 
    {
        font-size: 1.3em;
        letter-spacing: 4px;
    }
    .banniere h3 span 
    {
        padding: 0 2px 4px 6px;
    }
    .contact_rs a 
    {
        height: 54px;
        width: 54px;
        border-radius: 6px;
        padding-top: 10px;
    }
    .contact_rs i 
    {
        font-size: 1.8em;
    }
    .contact_rs a:hover 
    {
        transform: scale(1.2);
    }
    .a_propos h2 
    {
        font-size: 1.8em;
    }
    .a_propos h2:before 
    {
        width: 20%;
        border-bottom: solid 3px #369daf;
        margin-left: -10%;
    }
    .bloc_text
    {
        width: 48vw;
        padding: 10px 20px;
    }
    .bloc_text div 
    {
        margin-bottom: 0px;
        padding: 5px;
        line-height: 1.4em;
        font-size: 0.95em;
    }
    .bloc_img, .bloc_text 
    {
        margin: 5px;
    }
}
@media(max-width: 750px) 
{
    .bloc_text
    {
        width: 50vw;
    }
    footer 
    {
        padding: 10px 0 0 0;
        font-size: 0.95em;
    }
}
@media(max-width: 700px) 
{
    .bloc_img 
    {
        top: -80px;
    }
    .bloc_text
    {
        padding: 10px 16px;
        width: 54vw;
        position: relative;
        top: -60px;
    }
    .bloc_text div 
    {
        padding: 4px;
        line-height: 1.3em;
        font-size: 0.9em;
    }
}
@media(max-width: 640px) 
{
    .a_propos .content 
    {
        flex-direction: column;
    }
    .bloc_img 
    {
        top: -20px;
        height: 400px;
        width: 360px;
    }
    .bloc_text 
    {
        padding: 20px 26px;
        width: 80vw;
        top: -20px;
    }
    .bloc_text div 
    {
        padding: 4px;
        line-height: 1.5em;
        font-size: 1em;
    }
}
@media(max-width: 600px)
{
    .banniere h1 
    {
        font-size: 3em;
    }
    .banniere h3 
    {
        font-size: 1em;
    }
    .contact_rs a 
    {
        height: 48px;
        width: 48px;
        border-radius: 6px;
        padding-top: 10px;
    }
    .contact_rs i 
    {
        font-size: 1.6em;
    }
    .contact_rs a:hover 
    {
        transform: scale(1.2);
    }
    .a_propos h2 
    {
        font-size: 1.6em;
    }
    .bloc_text 
    {
        padding: 10px 16px;
        top: -20px;
    }
    .bloc_text div 
    {
        padding: 4px;
        line-height: 1.3em;
        font-size: 0.9em;
    }
}
@media(max-width: 500px)
{
    .a_propos h2 
    {
        font-size: 1.5em;
    }
    .bloc_img 
    {
        height: 360px;
        width: 300px;
    }
    .bloc_text div 
    {
        font-size: 0.8em;
    }
    footer 
    {
        padding: 10px 0 0 0;
        font-size: 0.85em;
    }
}
@media(max-width: 386px)
{
    .banniere h1 
    {
        font-size: 2.6em;
    }
    .banniere h3 
    {
        font-size: 0.8em;
    }
    .contact_rs a 
    {
        height: 44px;
        width: 44px;
        padding-top: 9px;
    }
    .contact_rs i 
    {
        font-size: 1.4em;
    }
    .a_propos h2 
    {
        font-size: 1.4em;
    }
}
@media(max-width: 320px)
{
    .banniere h1 
    {
        font-size: 1.8em;
    }
    .banniere h3 
    {
        font-size: 0.8em;
    }
    .contact_rs a 
    {
        height: 38px;
        width: 38px;
        padding-top: 7px;
    }
    .contact_rs i 
    {
        font-size: 1.2em;
    }
    .a_propos h2 
    {
        font-size: 1.3em;
        letter-spacing: 0px;
    }
    .bloc_img 
    {
        height: 300px;
        width: 240px;
    }
    .bloc_text 
    {
        padding: 6px 10px;
    }
    .bloc_text div 
    {
        font-size: 0.7em;
        font-weight: bold;
    }
}
@media(max-width: 252px)
{
    .a_propos h2 
    {
        font-size: 1em;
    }
    .a_propos h2:before 
    {
        border-bottom: solid 2px #369daf;
    }
    .bloc_img 
    {
        height: 200px;
        width: 186px;
    }
    .bloc_text 
    {
        padding: 6px 8px;
    }
    .bloc_text div 
    {
        font-size: 0.65em;
        font-weight: bold;
        padding: 2px;
    }
    footer 
    {
        padding: 5px 0 4px 0;
        font-size: 0.7em;
    }
}

/* --- ModerNav Template content --- */
a
{
    text-decoration: none;
}
li
{
    list-style-type: none;
}
.header_nav
{
    position: fixed;
    z-index: 2;
    top:0;
    width: 100%;
    background-color: rgba(255, 255, 255, 0.06);
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid transparent;
    border-image: linear-gradient(to right,transparent,rgba(255,255,255,0.7),transparent);
    border-image-slice: 1;

    transition: 0.3s;
    -webkit-transition: 0.3s;
    -ms-transition: 0.3s;
    -o-transition: 0.3s;
    -moz-transition: 0.3s;
}
.page_footer
{
    position: absolute;
    z-index: 1;
}
.header_nav a
{
    color:#f7f7f7ee;
}
header
{
    padding-left: 20px;
}
.nav_logo , header span 
{
    display: inline-block;
    vertical-align: middle;
}
.nav_logo 
{
    height: 32px;
    width: 32px;
    background: url("../resources/logos_icones/modernav_logo.png") no-repeat center;
    background-size: contain;
}
.menu_horizontal
{
    margin-right: 10px;
}
.menu_horizontal ul 
{
    display: flex;
    align-items: center;
}
.menu_horizontal ul li
{
    position: relative;
    padding: 16px 16px;
    letter-spacing: 1px;
    font-size: 0.96em;
    transition: 0.3s;
    -webkit-transition: 0.3s;
    -ms-transition: 0.3s;
    -o-transition: 0.3s;
    -moz-transition: 0.3s;
}
.menu_horizontal li a
{
    transition: 0.3s;
    -webkit-transition: 0.3s;
    -ms-transition: 0.3s;
    -o-transition: 0.3s;
    -moz-transition: 0.3s;
}
.menu_horizontal li ul /* Sub-menus */
{
    display: none;
    position: absolute;
    top:53px;
    left: 0;
    background-color: rgba(28, 32, 39, 0.9);
    border-radius: 0px 0px 3px 3px;
}
.menu_horizontal li ul li
{
    padding: 10px 15px 10px 15px;
    border-bottom:solid 1px rgb(61,69,78);
    width: inherit;
    font-size: 0.88em;
    transition: 0.3s;
    -webkit-transition: 0.3s;
    -ms-transition: 0.3s;
    -o-transition: 0.3s;
    -moz-transition: 0.3s;
}
.menu_horizontal li ul li:nth-last-child(1)
{
    border-bottom:none;
    padding-bottom: 10px;
}
header h1
{
    font-size: 1.3em;
    font-weight:lighter;
    letter-spacing: 2px;
}
.menu_horizontal li:hover
{
    cursor:pointer;
}
.menu_horizontal li ul li:hover
{
    background-color: #278c9e;
}
.humburger
{
    cursor: pointer;
    font-size:1.5em;
    font-weight: lighter;
    color:#ddd;
    position:fixed;
    top:8px;
    left: 12px; 
}
/* Side menu : */
.menu_vertical
{
    width: 0px;
    position: fixed;
    z-index: 3;
    top:0;
    left:0px;
    overflow-y: auto;
    overflow-x: hidden;
    height: 100%;
    background-color: rgba(24, 28, 31, 0.952);

    transition: 0.5s;
    -webkit-transition: 0.5s;
    -ms-transition: 0.5s;
    -o-transition: 0.5s;
    -moz-transition: 0.5s;
}
.menu_vertical ul
{
    width: 250px;
}
.menu_vertical a
{
    color:#ddd;
}
.menu_vertical li
{
    padding:10px 10px 10px 20px;
    cursor:pointer;
    overflow: hidden;
}
.menu_vertical ul li ul
{
    display: none;
    position: relative;
    left: -20px;
    top: 10px;
    padding-left: 20px;
}
.menu_vertical ul li ul li
{
    position: relative;
    left: -20px;
    padding-left: 40px;
    width: 250px;
}
.menu_vertical > ul > li:nth-child(1)
{
    padding: 7px 0px 7px 0px;
    color:#f7f7f7c7;
    text-align: center;
    font-size: 25px;
    font-weight: lighter;
    border-bottom: 1px solid transparent;
    border-image: linear-gradient(to right,transparent,#f7f7f7d2,transparent);
    border-image-slice: 1;
    transition: 0.3s;
}
.menu_vertical > ul > li:nth-child(1):hover
{
    color: rgba(24, 28, 31, 0.877);
}

/* -------------- Medias queries  -------------- */

@media(max-width:840px)
{
    .header_nav
    {
        height: 54px;
    }
    .menu_horizontal ul li
    {
        display: none;
    }
    header
    {
        display: block;
        width: 180px;
        margin: auto;
    }
}
@media(min-width:841px)
{
    .humburger
    {
        display: none;
    }
}
@media(max-width: 500px)
{
    header span 
    {
        font-size: 0.8em;
    }
    .nav_logo 
    {
        height: 28px;
        width: 28px;
    }

    .humburger
    {
        font-size:1.4em;
        top:11px;
        left: 12px; 
    }
    .menu_vertical li
    {
        padding:6px 10px 10px 20px;
        font-size: 0.9em;
    }
    .menu_vertical ul li ul
    {
        left: -20px;
        top: 10px;
        padding-left: 10px;
    }
    .menu_vertical ul li ul li
    {
        left: -20px;
        padding-left: 40px;
        width: 250px;
    }
    .menu_vertical > ul > li:nth-child(1)
    {
        padding: 4px 0px 4px 0px;
        font-size: 20px;
    }
}
@media(max-width: 252px) 
{
    header span 
    {
        font-size: 0.7em;
    }
    .nav_logo 
    {
        height: 26px;
        width: 26px;
    }
    .humburger
    {
        font-size:1.2em;
    }
    .menu_vertical li
    {
        font-size: 0.8em;
    }
    .menu_vertical ul li ul li
    {
        font-size: 1em;
    }
    .menu_vertical > ul > li:nth-child(1)
    {
        font-size: 16px;
    }
}